"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function groupBy(vs, fn) {
    const groups = new Map();
    vs.forEach(v => {
        const key = fn(v);
        let group = groups.get(key);
        if (!group) {
            group = [];
            groups.set(key, group);
        }
        group.push(v);
    });
    return groups;
}
exports.groupBy = groupBy;
