exports.viewerScript = "(function () {\n    'use strict';\n\n    /*! *****************************************************************************\r\n    Copyright (c) Microsoft Corporation. All rights reserved.\r\n    Licensed under the Apache License, Version 2.0 (the \"License\"); you may not use\r\n    this file except in compliance with the License. You may obtain a copy of the\r\n    License at http://www.apache.org/licenses/LICENSE-2.0\r\n\r\n    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY\r\n    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED\r\n    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,\r\n    MERCHANTABLITY OR NON-INFRINGEMENT.\r\n\r\n    See the Apache Version 2.0 License for specific language governing permissions\r\n    and limitations under the License.\r\n    ***************************************************************************** */\r\n\r\n    function __generator(thisArg, body) {\r\n        var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;\r\n        return g = { next: verb(0), \"throw\": verb(1), \"return\": verb(2) }, typeof Symbol === \"function\" && (g[Symbol.iterator] = function() { return this; }), g;\r\n        function verb(n) { return function (v) { return step([n, v]); }; }\r\n        function step(op) {\r\n            if (f) throw new TypeError(\"Generator is already executing.\");\r\n            while (_) try {\r\n                if (f = 1, y && (t = op[0] & 2 ? y[\"return\"] : op[0] ? y[\"throw\"] || ((t = y[\"return\"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;\r\n                if (y = 0, t) op = [op[0] & 2, t.value];\r\n                switch (op[0]) {\r\n                    case 0: case 1: t = op; break;\r\n                    case 4: _.label++; return { value: op[1], done: false };\r\n                    case 5: _.label++; y = op[1]; op = [0]; continue;\r\n                    case 7: op = _.ops.pop(); _.trys.pop(); continue;\r\n                    default:\r\n                        if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }\r\n                        if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }\r\n                        if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }\r\n                        if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }\r\n                        if (t[2]) _.ops.pop();\r\n                        _.trys.pop(); continue;\r\n                }\r\n                op = body.call(thisArg, _);\r\n            } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }\r\n            if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };\r\n        }\r\n    }\n\n    // Note: hc = highlight color\n    var colorsCss = \"\\n.hc-0 {\\n    background-color: hsl(0, 100%, 80%);\\n}\\n.hc-1 {\\n    background-color: hsl(22.5, 100%, 80%);\\n}\\n.hc-2 {\\n    background-color: hsl(45, 100%, 80%);\\n}\\n.hc-3 {\\n    background-color: hsl(67.5, 100%, 80%);\\n}\\n.hc-4 {\\n    background-color: hsl(90, 100%, 80%);\\n}\\n.hc-5 {\\n    background-color: hsl(112.5, 100%, 80%);\\n}\\n.hc-6 {\\n    background-color: hsl(135, 100%, 80%);\\n}\\n.hc-7 {\\n    background-color: hsl(157.5, 100%, 80%);\\n}\\n.hc-8 {\\n    background-color: hsl(180, 100%, 80%);\\n}\\n.hc-9 {\\n    background-color: hsl(202.5, 100%, 80%);\\n}\\n.hc-10 {\\n    background-color: hsl(225, 100%, 80%);\\n}\\n.hc-11 {\\n    background-color: hsl(247.5, 100%, 80%);\\n}\\n.hc-12 {\\n    background-color: hsl(270, 100%, 80%);\\n}\\n.hc-13 {\\n    background-color: hsl(292.5, 100%, 80%);\\n}\\n.hc-14 {\\n    background-color: hsl(315, 100%, 80%);\\n}\\n.hc-15 {\\n    background-color: hsl(337.5, 100%, 80%);\\n}\\n\";\n    var NumHighlightColors = 16;\n    function getColorClasses() {\n        var colorIndex;\n        return __generator(this, function (_a) {\n            switch (_a.label) {\n                case 0:\n                    colorIndex = Math.round(Math.random() * NumHighlightColors - 1);\n                    _a.label = 1;\n                case 1:\n                    return [4 /*yield*/, \"hc-\" + colorIndex];\n                case 2:\n                    _a.sent();\n                    // We get color somewhere on the opposite side of the color space (a\n                    // complementary color). This provides greater contrast for neighboring\n                    // snippets.\n                    colorIndex += Math.round((NumHighlightColors / 4) + (Math.random() + 1));\n                    colorIndex %= NumHighlightColors;\n                    return [3 /*break*/, 1];\n                case 3: return [2 /*return*/];\n            }\n        });\n    }\n\n    function insertStyles(css) {\n        var style = document.createElement('style');\n        style.textContent = css;\n        document.head.appendChild(style);\n    }\n\n    /**\n     * Represents the floating window that displays mapping information for a\n     * segment of minified code.\n     */\n    var SegmentInfo = /** @class */ (function () {\n        function SegmentInfo() {\n            insertStyles(css);\n            this.createDom();\n            this.size = this.container.getBoundingClientRect();\n            this.initMouseEnterListener();\n        }\n        SegmentInfo.prototype.createDom = function () {\n            var _a, _b, _c, _d, _e, _f;\n            this.container = document.createElement('div');\n            this.container.classList.add('segment-info');\n            document.body.appendChild(this.container);\n            var wrapper;\n            var generatedLineIndex;\n            var generatedColumnIndex;\n            var originalLineIndex;\n            var originalColumnIndex;\n            var source;\n            var name;\n            _a = this.createMappingValueDom('Generated line index'), wrapper = _a[0], generatedLineIndex = _a[1];\n            this.container.appendChild(wrapper);\n            _b = this.createMappingValueDom('Generated column index'), wrapper = _b[0], generatedColumnIndex = _b[1];\n            this.container.appendChild(wrapper);\n            _c = this.createMappingValueDom('Original line index'), wrapper = _c[0], originalLineIndex = _c[1];\n            this.container.appendChild(wrapper);\n            _d = this.createMappingValueDom('Original column index'), wrapper = _d[0], originalColumnIndex = _d[1];\n            this.container.appendChild(wrapper);\n            _e = this.createMappingValueDom('Source'), wrapper = _e[0], source = _e[1];\n            this.container.appendChild(wrapper);\n            _f = this.createMappingValueDom('Name'), wrapper = _f[0], name = _f[1];\n            this.container.appendChild(wrapper);\n            this.mappingInputElts = {\n                generatedLineIndex: generatedLineIndex,\n                generatedColumnIndex: generatedColumnIndex,\n                originalLineIndex: originalLineIndex,\n                originalColumnIndex: originalColumnIndex,\n                source: source,\n                name: name\n            };\n            this.mappingSnippetElt = document.createElement('pre');\n            this.container.appendChild(this.mappingSnippetElt);\n        };\n        SegmentInfo.prototype.createMappingValueDom = function (label) {\n            var wrapperElt = document.createElement('div');\n            var labelElt = document.createElement('label');\n            labelElt.textContent = label + \": \";\n            var valueElt = document.createElement('span');\n            labelElt.appendChild(valueElt);\n            wrapperElt.appendChild(labelElt);\n            return [wrapperElt, valueElt];\n        };\n        SegmentInfo.prototype.showSegmentMapping = function (mapping, mappingSnippet) {\n            this.mappingInputElts.generatedLineIndex.textContent = mapping.generatedLineIndex || '';\n            this.mappingInputElts.generatedColumnIndex.textContent = mapping.generatedColumnIndex || '';\n            this.mappingInputElts.originalLineIndex.textContent = mapping.originalLineIndex || '';\n            this.mappingInputElts.originalColumnIndex.textContent = mapping.originalColumnIndex || '';\n            this.mappingInputElts.source.textContent = mapping.source || '';\n            this.mappingInputElts.name.textContent = mapping.name || '';\n            this.mappingSnippetElt.textContent = mappingSnippet || '';\n        };\n        SegmentInfo.prototype.initMouseEnterListener = function () {\n            var _this = this;\n            document.addEventListener('mousemove', function (event) {\n                if (_this.insideDefaultPosition(event)) {\n                    _this.container.classList.add('top-left');\n                }\n                else {\n                    _this.container.classList.remove('top-left');\n                }\n            });\n        };\n        SegmentInfo.prototype.insideDefaultPosition = function (event) {\n            var minX = window.innerWidth - this.size.width;\n            if (event.x < minX) {\n                return false;\n            }\n            var minY = window.innerHeight - this.size.height;\n            if (event.y < minY) {\n                return false;\n            }\n            return true;\n        };\n        return SegmentInfo;\n    }());\n    var css = \".segment-info {\\n    font-family: sans-serif;\\n    position: fixed;\\n    width: 400px;\\n    height: 200px;\\n    box-sizing: border-box;\\n    padding: 15px;\\n    background-color: rgba(0, 255, 0, 0.15);\\n    bottom: 0;\\n    right: 0;\\n}\\n.segment-info.top-left {\\n   bottom: static;\\n   right: static;\\n   top: 0;\\n   left: 0;\\n}\";\n\n    var AnnotatedJsViewer = /** @class */ (function () {\n        function AnnotatedJsViewer(segmentsId, mappings, mappingSnippets) {\n            this.mappings = mappings;\n            this.mappingSnippets = mappingSnippets;\n            var segmentContainerElt = document.querySelector(\"#\" + segmentsId);\n            if (!segmentContainerElt) {\n                throw new Error(\"Could not find segments element with id \" + segmentsId);\n            }\n            this.insertHighlightStyles();\n            this.initSegments(segmentContainerElt);\n            this.segmentInfo = new SegmentInfo();\n        }\n        AnnotatedJsViewer.prototype.insertHighlightStyles = function () {\n            insertStyles(colorsCss);\n        };\n        AnnotatedJsViewer.prototype.initSegments = function (segmentContainerElt) {\n            var colorClasses = getColorClasses();\n            var segmentElts = segmentContainerElt.children;\n            for (var i = 0; i < segmentElts.length; i++) {\n                this._initSegment(segmentElts[i], colorClasses);\n            }\n        };\n        AnnotatedJsViewer.prototype._initSegment = function (segmentElt, colorClasses) {\n            var _this = this;\n            if (!(segmentElt instanceof HTMLElement) || segmentElt.dataset['mi'] === undefined) {\n                return;\n            }\n            var mappingIndex = parseInt(segmentElt.dataset['mi']);\n            segmentElt.classList.add(colorClasses.next().value);\n            segmentElt.addEventListener('mouseenter', function () {\n                _this.segmentInfo.showSegmentMapping(_this.mappings[mappingIndex], _this.mappingSnippets[mappingIndex]);\n            });\n        };\n        return AnnotatedJsViewer;\n    }());\n\n    var mappings = window.mappings;\n    var mappingSnippets = window.mappingSnippets;\n    var viewer = new AnnotatedJsViewer('segments', mappings || [], mappingSnippets || []);\n\n}());\n"